com.vmware.sqlfire.jdbc

## Interface ClientAttribute

    public interface ClientAttribute

List of all the connection properties used by the client driver. Do not put any other properties in here since some parts (e.g. ODBC driver) depend on getting the full list of available properties by doing a reflection on this interface. Client side system properties (starting with "gemfirexd.") are fine here since those are ignored by the ODBC driver.

Since:
  7.0

### Field Summary

Fields
`static String` `CLIENT_RETRIEVE_MESSAGE_TEXT` retrieveMessageText.
`static String` `CLIENT_SECURITY_MECHANISM` securityMechanism sets the DRDA mechanism in-use for the client
`static String` `CLIENT_TRACE_APPEND` traceFileAppend.
`static String` `CLIENT_TRACE_DIRECTORY` traceDirectory sets the client side trace directory.
`static String` `CLIENT_TRACE_FILE` traceFile sets the client side trace file.
`static String` `CLIENT_TRACE_LEVEL` traceLevel.
`static String` `DISABLE_STREAMING` A connection level property (i.e.
`static String` `DISABLE_THINCLIENT_CANCEL` A connection level property to disable `Statement.cancel()` over thin client.
`static String` `DISABLE_TX_BATCHING` A connection level property to disable all batching in transactions, flushing ops immediately to detect conflicts immediately.
`static String` `KEEPALIVE_CNT` TCP KeepAlive COUNT for the network server and client sockets.
`static String` `KEEPALIVE_IDLE` TCP KeepAlive IDLE timeout in seconds for the network server and client sockets.
`static String` `KEEPALIVE_INTVL` TCP KeepAlive INTERVAL timeout in seconds for the network server and client sockets.
`static String` `LOAD_BALANCE` If set to false then no load-balancing is attempted for JDBC client connection, else the default is to try and load-balance the new one.
`static String` `LOG_FILE` The GemFireXD log file path property.
`static String` `LOG_FILE_STAMP` Log file path to which the initialization nano time is appended.
`static String` `PASSWORD` The attribute that is used to set the user password.
`static String` `QUERY_HDFS` A connection level property.
`static String` `READ_TIMEOUT` Read timeout for the connection, in seconds.
`static String` `SECONDARY_LOCATORS` Any alternative locators/servers that have to be tried when connecting to a distributed system.
`static String` `SINGLE_HOP_ENABLED` The attribute that is used to set client single hop property.
`static String` `SINGLE_HOP_MAX_CONNECTIONS` The attribute that is used to set the internal connection size per network server.
`static String` `SKIP_CONSTRAINT_CHECKS` Connection property to skip primary key, foreign key, unique and check constraint checks.
`static String` `SKIP_LISTENERS` A connection level property if set to true, would skip invocation of listeners/writers/DBSynchronizer/AsyncEventListener on server.
`static String` `SQLF_DISABLE_TX_BATCHING` System property to set `Attribute.DISABLE_TX_BATCHING` for all connections.
`static String` `SQLF_THINCLIENT_CANCEL` System property to set `Attribute.DISABLE_THINCLIENT_CANCEL` for all thin client connections.
`static String` `SQLF_TX_SYNC_COMMITS` System property to set `Attribute.TX_SYNC_COMMITS` for all connections.
`static String` `SSL` The attribute that is used to set client SSL mode.
`static String` `TX_SYNC_COMMITS` A connection level property to wait for 2nd phase commit to complete on all nodes instead of returning as soon as current server's 2nd phase commit is done.
`static String` `USERNAME` The attribute that is used to set the user name.
`static String` `USERNAME_ALT` The attribute that is used to set the user name.
`static String` `USING_ODBC_DRIVER` System property to denote that the driver is invoked using ODBC API.

### Field Detail

#### USERNAME

    static final String USERNAME

The attribute that is used to set the user name.

See Also:
  Constant Field Values

#### USERNAME_ALT

    static final String USERNAME_ALT

The attribute that is used to set the user name.

See Also:
  Constant Field Values

#### PASSWORD

    static final String PASSWORD

The attribute that is used to set the user password.

See Also:
  Constant Field Values

#### READ_TIMEOUT

    static final String READ_TIMEOUT

Read timeout for the connection, in seconds. Only for thin client connections.

See Also:
  Constant Field Values

#### KEEPALIVE_IDLE

    static final String KEEPALIVE_IDLE

TCP KeepAlive IDLE timeout in seconds for the network server and client sockets. This is the idle time after which a TCP KeepAlive probe is sent over the socket to determine if the other side is alive or not.

See Also:
  Constant Field Values

#### KEEPALIVE_INTVL

    static final String KEEPALIVE_INTVL

TCP KeepAlive INTERVAL timeout in seconds for the network server and client sockets. This is the time interval between successive TCP KeepAlive probes if there is no response to the previous probe (`KEEPALIVE_IDLE`) to determine if the other side is alive or not. Note that this may not be supported by all platforms (e.g. Solaris), in which case this will be ignored and an info-level message logged that the option could not be enabled on the socket.

See Also:
  Constant Field Values

#### KEEPALIVE_CNT

    static final String KEEPALIVE_CNT

TCP KeepAlive COUNT for the network server and client sockets. This is the number of TCP KeepAlive probes sent before declaring the other side to be dead. Note that this may not be supported by all platforms (e.g. Solaris), in which case this will be ignored and an info-level message logged that the option could not be enabled on the socket.

See Also:
  Constant Field Values

#### LOAD_BALANCE

    static final String LOAD_BALANCE

If set to false then no load-balancing is attempted for JDBC client connection, else the default is to try and load-balance the new one.

See Also:
  Constant Field Values

#### SECONDARY_LOCATORS

    static final String SECONDARY_LOCATORS

Any alternative locators/servers that have to be tried when connecting to a distributed system. This affects only the initial connection semantics while the list of all the servers available in the system is determined and kept updated by the client driver.

See Also:
  Constant Field Values

#### SINGLE_HOP_ENABLED

    static final String SINGLE_HOP_ENABLED

The attribute that is used to set client single hop property.

See Also:
  Constant Field Values

#### SINGLE_HOP_MAX_CONNECTIONS

    static final String SINGLE_HOP_MAX_CONNECTIONS

The attribute that is used to set the internal connection size per network server.

See Also:
  Constant Field Values

#### DISABLE_STREAMING

    static final String DISABLE_STREAMING

A connection level property (i.e. needs to be set on each connection) which when set to true will disable streaming of results on query node. This will make the performance slower and require more memory for large query results but with more predictable results in case a server happens to go down while iterating over a ResultSet. When this is not set then an SQLException with state `` will be thrown in case a node happens to go down in the middle of ResultSet iteration and application has to retry the query. With this property set, GemFireXD will always wait for at least one result from all the nodes and disable chunking of results from nodes, so will always transparently failover in such a scenario.

See Also:
  Constant Field Values

#### SKIP_LISTENERS

    static final String SKIP_LISTENERS

A connection level property if set to true, would skip invocation of listeners/writers/DBSynchronizer/AsyncEventListener on server.

See Also:
  Constant Field Values

#### SKIP_CONSTRAINT_CHECKS

    static final String SKIP_CONSTRAINT_CHECKS

Connection property to skip primary key, foreign key, unique and check constraint checks. For the case of primary key, an insert is converted into PUT DML so row will retain the last values without throwing a constraint violation.

See Also:
  Constant Field Values

#### TX_SYNC_COMMITS

    static final String TX_SYNC_COMMITS

A connection level property to wait for 2nd phase commit to complete on all nodes instead of returning as soon as current server's 2nd phase commit is done.

See Also:
  Constant Field Values

#### SQLF_TX_SYNC_COMMITS

    static final String SQLF_TX_SYNC_COMMITS

System property to set `Attribute.TX_SYNC_COMMITS` for all connections.

See Also:
  Constant Field Values

#### DISABLE_THINCLIENT_CANCEL

    static final String DISABLE_THINCLIENT_CANCEL

A connection level property to disable `Statement.cancel()` over thin client.

See Also:
  Constant Field Values

#### SQLF_THINCLIENT_CANCEL

    static final String SQLF_THINCLIENT_CANCEL

System property to set `Attribute.DISABLE_THINCLIENT_CANCEL` for all thin client connections.

See Also:
  Constant Field Values

#### DISABLE_TX_BATCHING

    static final String DISABLE_TX_BATCHING

A connection level property to disable all batching in transactions, flushing ops immediately to detect conflicts immediately. Note that this can have a significant performance impact so turn this on only if it is really required by application for some reason.

See Also:
  Constant Field Values

#### SQLF_DISABLE_TX_BATCHING

    static final String SQLF_DISABLE_TX_BATCHING

System property to set `Attribute.DISABLE_TX_BATCHING` for all connections.

See Also:
  Constant Field Values

#### QUERY_HDFS

    static final String QUERY_HDFS

A connection level property. If set to true, data in HDFS can be queried. Otherwise, only in-memory data is queried.

See Also:
  Constant Field Values

#### LOG_FILE

    static final String LOG_FILE

The GemFireXD log file path property. added by GemStone

See Also:
  Constant Field Values

#### LOG_FILE_STAMP

    static final String LOG_FILE_STAMP

Log file path to which the initialization nano time is appended.

See Also:
  Constant Field Values

#### CLIENT_SECURITY_MECHANISM

    static final String CLIENT_SECURITY_MECHANISM

securityMechanism sets the DRDA mechanism in-use for the client

See Also:
  Constant Field Values

#### CLIENT_TRACE_FILE

    static final String CLIENT_TRACE_FILE

traceFile sets the client side trace file. Client driver attribute.

See Also:
  Constant Field Values

#### CLIENT_TRACE_DIRECTORY

    static final String CLIENT_TRACE_DIRECTORY

traceDirectory sets the client side trace directory. Client driver attribute.

See Also:
  Constant Field Values

#### CLIENT_TRACE_APPEND

    static final String CLIENT_TRACE_APPEND

traceFileAppend. Client driver attribute.

See Also:
  Constant Field Values

#### CLIENT_TRACE_LEVEL

    static final String CLIENT_TRACE_LEVEL

traceLevel. Client driver attribute.

See Also:
  Constant Field Values

#### CLIENT_RETRIEVE_MESSAGE_TEXT

    static final String CLIENT_RETRIEVE_MESSAGE_TEXT

retrieveMessageText. Client driver attribute.

See Also:
  Constant Field Values

#### SSL

    static final String SSL

The attribute that is used to set client SSL mode.

See Also:
  Constant Field Values

#### USING_ODBC_DRIVER

    static final String USING_ODBC_DRIVER

System property to denote that the driver is invoked using ODBC API.

See Also:
  Constant Field Values